import React from 'react'
import ReactDOM from 'react-dom/client'
import {
  createBrowserRouter,
  RouterProvider,
} from "react-router-dom"
import './globals.css'
import { ThemeProvider } from "@/components/theme-provider"
import Root from "./routes/Root";
import Error from "./routes/Error";
import Dashboard05 from "./blocks/Dashboard05";
import MailBlocks from "./blocks/mail/MailBlocks";

const router = createBrowserRouter([
  {
    path: "/",
    element: <Root />,
    errorElement: <Error />,
    children: [
      {
        path: "",
        element: <Dashboard05 />,
      },
      {
        path: "/mail",
        element: <MailBlocks />,
      },
    ],
  },
]);

ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <ThemeProvider defaultTheme="dark" storageKey="vite-ui-theme">
      <RouterProvider router={router} />
    </ThemeProvider>
  </React.StrictMode>,
)
